Commit 590a70db authored by Clint Adams's avatar Clint Adams

Merge branch 'experimental'

parents a3cced05 fe776384

Too many changes to show.

To preserve performance only 1000 of 1000+ files are displayed.

# see man dpkg-mergechangelogs(1), section INTEGRATION WITH GIT
p/*/debian/changelog merge=dpkg-mergechangelogs
...@@ -7,3 +7,4 @@ ...@@ -7,3 +7,4 @@
dist dist
lab lab
*~ *~
p/pandoc
alex (3.1.4-2.1) UNRELEASED; urgency=medium alex (3.1.4-3) experimental; urgency=medium
* Add lintian override for spurious rpaths
-- Joachim Breitner <nomeata@debian.org> Thu, 20 Aug 2015 15:03:49 +0200
alex (3.1.4-2.1) experimental; urgency=medium
[ Helmut Grohne ]
* Mark alex as Multi-Arch:foreign. * Mark alex as Multi-Arch:foreign.
-- Helmut Grohne <helmut@subdivi.de> Mon, 03 Aug 2015 19:46:21 +0200 [ Joachim Breitner ]
* Attempt to make debian/get_version.hs work with GHC-7.10
* Bump standards-version to 3.9.6
* Depend on haskell-devscripts >= 0.10 to ensure that this package
builds against GHC in experimental
-- Joachim Breitner <nomeata@debian.org> Thu, 20 Aug 2015 10:26:51 +0200
alex (3.1.4-2) unstable; urgency=medium alex (3.1.4-2) unstable; urgency=medium
......
...@@ -4,9 +4,9 @@ Uploaders: Joachim Breitner <nomeata@debian.org>, Clint Adams <clint@debian.org> ...@@ -4,9 +4,9 @@ Uploaders: Joachim Breitner <nomeata@debian.org>, Clint Adams <clint@debian.org>
Priority: extra Priority: extra
Section: haskell Section: haskell
Build-Depends: cdbs (>= 0.4.59), Build-Depends: cdbs (>= 0.4.59),
haskell-devscripts (>= 0.9), haskell-devscripts (>= 0.10),
debhelper (>= 9), debhelper (>= 9),
ghc, ghc (>= 7.10),
alex, alex,
happy, happy,
jade, jade,
...@@ -16,7 +16,7 @@ Build-Depends: cdbs (>= 0.4.59), ...@@ -16,7 +16,7 @@ Build-Depends: cdbs (>= 0.4.59),
xsltproc, xsltproc,
autoconf, autoconf,
libghc-quickcheck2-dev, libghc-quickcheck2-dev,
Standards-Version: 3.9.4 Standards-Version: 3.9.6
Homepage: http://www.haskell.org/alex/ Homepage: http://www.haskell.org/alex/
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/alex Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/alex
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/alex Vcs-Darcs: http://darcs.debian.org/pkg-haskell/alex
......
...@@ -10,6 +10,6 @@ import Distribution.Verbosity ...@@ -10,6 +10,6 @@ import Distribution.Verbosity
import Distribution.Version import Distribution.Version
main :: IO () main :: IO ()
main = do fp <- findPackageDesc "." main = do Right fp <- findPackageDesc "."
pd <- readPackageDescription normal fp pd <- readPackageDescription normal fp
putStr $ showVersion $ pkgVersion $ package $ packageDescription pd putStr $ showVersion $ pkgVersion $ package $ packageDescription pd
binary-or-shlib-defines-rpath
bnfc (2.8-3) experimental; urgency=medium
[ Joachim Breitner ]
* General lintian cleanup
-- Sven Bartscher <sven.bartscher@weltraumschlangen.de> Tue, 29 Sep 2015 17:50:33 +0200
bnfc (2.8-2) experimental; urgency=medium
* Add lintian override for spurious rpaths
-- Joachim Breitner <nomeata@debian.org> Thu, 20 Aug 2015 15:03:50 +0200
bnfc (2.8-1) experimental; urgency=medium
* New upstream release
* Bump standards-version to 3.9.6
* Depend on haskell-devscripts >= 0.10 to ensure that this package
builds against GHC in experimental
-- Joachim Breitner <nomeata@debian.org> Thu, 20 Aug 2015 10:26:51 +0200
bnfc (2.6.0.3-4) unstable; urgency=medium bnfc (2.6.0.3-4) unstable; urgency=medium
* Upload to unstable * Upload to unstable
......
...@@ -4,15 +4,14 @@ Uploaders: Joachim Breitner <nomeata@debian.org> ...@@ -4,15 +4,14 @@ Uploaders: Joachim Breitner <nomeata@debian.org>
Priority: extra Priority: extra
Section: haskell Section: haskell
Build-Depends: debhelper (>= 9), Build-Depends: debhelper (>= 9),
haskell-devscripts (>= 0.9), haskell-devscripts (>= 0.10),
cdbs, cdbs,
ghc, ghc,
ghc-prof, ghc-prof,
libghc-mtl-dev, libghc-mtl-dev,
alex, alex,
happy, happy,
Build-Depends-Indep: ghc-doc, Standards-Version: 3.9.6
Standards-Version: 3.9.4
Homepage: http://bnfc.digitalgrammars.com/ Homepage: http://bnfc.digitalgrammars.com/
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-bnfc Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-bnfc
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-bnfc Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-bnfc
......
c2hs (0.25.2-3) experimental; urgency=medium
* Bump standards-version to 3.9.6
* Depend on haskell-devscripts >= 0.10 to ensure that this package
builds against GHC in experimental
-- Joachim Breitner <nomeata@debian.org> Thu, 20 Aug 2015 10:26:51 +0200
c2hs (0.25.2-2) unstable; urgency=medium c2hs (0.25.2-2) unstable; urgency=medium
* Upload to unstable * Upload to unstable
......
...@@ -7,7 +7,7 @@ Build-Depends: debhelper (>= 9), ...@@ -7,7 +7,7 @@ Build-Depends: debhelper (>= 9),
dpkg-dev (>= 1.14), dpkg-dev (>= 1.14),
cdbs, cdbs,
ghc, ghc,
haskell-devscripts (>= 0.9), haskell-devscripts (>= 0.10),
alex, alex,
happy, happy,
libghc-language-c-dev (>= 0.4.7), libghc-language-c-dev (>= 0.4.7),
...@@ -18,7 +18,7 @@ Build-Depends: debhelper (>= 9), ...@@ -18,7 +18,7 @@ Build-Depends: debhelper (>= 9),
xsltproc, xsltproc,
libxml2-utils, libxml2-utils,
Build-Conflicts: libghc-wash-dev, Build-Conflicts: libghc-wash-dev,
Standards-Version: 3.9.4 Standards-Version: 3.9.6
Homepage: http://hackage.haskell.org/package/c2hs Homepage: http://hackage.haskell.org/package/c2hs
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/c2hs Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/c2hs
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/c2hs Vcs-Darcs: http://darcs.debian.org/pkg-haskell/c2hs
......
cabal-debian (4.31-3) experimental; urgency=medium
* Depend on haskell-devscripts >= 0.10 to ensure that this package
builds against GHC in experimental
-- Joachim Breitner <nomeata@debian.org> Thu, 20 Aug 2015 10:26:51 +0200
cabal-debian (4.31-1) unstable; urgency=medium cabal-debian (4.31-1) unstable; urgency=medium
* New upstream release * New upstream release
......
...@@ -5,7 +5,7 @@ Priority: extra ...@@ -5,7 +5,7 @@ Priority: extra
Section: haskell Section: haskell
Build-Depends: debhelper (>= 9), Build-Depends: debhelper (>= 9),
cdbs, cdbs,
haskell-devscripts (>= 0.9), haskell-devscripts (>= 0.10),
ghc, ghc,
ghc-prof, ghc-prof,
libghc-bifunctors-dev, libghc-bifunctors-dev,
......
cpphs (1.19.2-2) experimental; urgency=medium
* Depend on old-{locale,time}
* Bump standards-version to 3.9.6
* Depend on haskell-devscripts >= 0.10 to ensure that this package
builds against GHC in experimental
-- Joachim Breitner <nomeata@debian.org> Thu, 20 Aug 2015 10:26:52 +0200
cpphs (1.19.2-1) unstable; urgency=medium cpphs (1.19.2-1) unstable; urgency=medium
* New upstream release * New upstream release
......
...@@ -4,15 +4,21 @@ Uploaders: Joachim Breitner <nomeata@debian.org> ...@@ -4,15 +4,21 @@ Uploaders: Joachim Breitner <nomeata@debian.org>
Priority: extra Priority: extra
Section: haskell Section: haskell
Build-Depends: debhelper (>= 9), Build-Depends: debhelper (>= 9),
haskell-devscripts (>= 0.9), haskell-devscripts (>= 0.10),
cdbs, cdbs,
ghc, ghc,
ghc-prof, ghc-prof,
libghc-old-locale-dev,
libghc-old-locale-prof,
libghc-old-time-dev,
libghc-old-time-prof,
libghc-polyparse-dev (>= 1.9), libghc-polyparse-dev (>= 1.9),
libghc-polyparse-prof, libghc-polyparse-prof,
Build-Depends-Indep: ghc-doc, Build-Depends-Indep: ghc-doc,
libghc-old-locale-doc,
libghc-old-time-doc,
libghc-polyparse-doc, libghc-polyparse-doc,
Standards-Version: 3.9.5 Standards-Version: 3.9.6
Homepage: http://projects.haskell.org/cpphs/ Homepage: http://projects.haskell.org/cpphs/
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/cpphs Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/cpphs
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/cpphs Vcs-Darcs: http://darcs.debian.org/pkg-haskell/cpphs
......